import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import { Recommendation } from './Recommendation';

const App = () => {
  const [
    isSelected,
    updateIsSelected,
  ] = useState([false, false]);

  const handleSelection = (pos) => {
    let selectList = isSelected;
    updateIsSelected(
      isSelected.map((val, index) => {
        if (index == pos['itemPos'])
        {
          val = !val
        }
        return val
      })
    );
  };
  
  return (
    <Recommendation
      isSelected={isSelected}
      handleSelection={handleSelection}
    />
  );
};
const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);
